View Issue Details

IDProjectCategoryView StatusLast Update
0000262ascendtcltk-guipublic2008-02-10 13:03
Reporterjohn 
Assigned Tojohn 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.9.6 
Summary0000262: RPM version fails to start, issue with default ASCENDDIST value?
DescriptionThis is probably just a SCons configuration issue on the buildbot...?
Additional InformationOutput:

[john@jdpipe trunk]$ ascend4

ASCEND modelling environment
Copyright(C) 1997, 2006 Carnegie Mellon University
Copyright(C) 1993-1996 Kirk Andre Abbott, Ben Allan
Copyright(C) 1990, 1993, 1994 Thomas Guthrie Epperly
Built May 16 2006 05:46:25 by anonymous

ASCEND comes with ABSOLUTELY NO WARRANTY, and is free software that you may
redistribute within the conditions of the GNU General Public License. See the
included file 'LICENSE.txt' for full details.

base/generic/utilities/ascSignal.c:173 (ascresetneeded): SIGINT trap bypassed: compile-time settings
base/generic/utilities/ascSignal.c:196 (ascresetneeded): SIGSEGV trap bypassed: compile-time settings
base/generic/compiler/packages.c:109:Builtins_Init: Builtins_Init: Loading function asc_free_all_variables
tcltk/generic/interface/Driver.c:550 (AscCheckEnvironVars): No ASCENDDIST var imported, error -1
tcltk/generic/interface/Driver.c:555 (AscCheckEnvironVars): IMPORTING VARS
tcltk/generic/interface/Driver.c:567 (AscCheckEnvironVars): NO ASCENDDIST VAR DEFINED
base/generic/general/ospath.c:362: (ospath_cleanup) fp={""}
base/generic/general/ospath.c:363: (ospath_cleanup) path=ascend4
tcltk/generic/interface/Driver.c:575 (AscCheckEnvironVars): PROGNAME = ascend4
base/generic/general/ospath.c:362: (ospath_cleanup) fp={""}
base/generic/general/ospath.c:363: (ospath_cleanup) path=.
base/generic/general/ospath.c:391: (ospath_cleanup) EXPANDING LEADING '.' IN PATH
base/generic/general/ospath.c:392: (ospath_cleanup) path=.
base/generic/general/ospath.c:273: (ospath_getcwd) fp={"/home/john/src/ascend/trunk"}
base/generic/general/ospath.c:396: (ospath_cleanup) working={"/home/john/src/ascend/trunk"}
base/generic/general/ospath.c:400: (ospath_cleanup) p=.
base/generic/general/ospath.c:401: (ospath_cleanup) path=.
base/generic/general/ospath.c:406: (ospath_cleanup) fp={"/home/john/src/ascend/trunk"}
base/generic/general/ospath.c:407: (ospath_cleanup) p=.
tcltk/generic/interface/Driver.c:582 (AscCheckEnvironVars): DIR = /home/john/src/ascend/trunk
base/generic/general/ospath.c:952: (ospath_concat) r={"/home/john/src/ascend/trunk/../share/ascend"}
base/generic/general/ospath.c:362: (ospath_cleanup) fp={"/"}
base/generic/general/ospath.c:363: (ospath_cleanup) path=/home/john/src/ascend/trunk/../share/ascend
base/generic/general/ospath.c:418: (ospath_cleanup) GOING TO PARENT
base/generic/general/ospath.c:516: (ospath_getparent) fp={"/home/john/src/ascend/trunk"}
base/generic/general/ospath.c:541: (ospath_getparent) len1=21
base/generic/general/ospath.c:552: (ospath_getparent) sub=/home/john/src/ascend
base/generic/general/ospath.c:563: (ospath_getparent) fp1={"/home/john/src/ascend"}
tcltk/generic/interface/Driver.c:590 (AscCheckEnvironVars): DIST = /home/john/src/ascend/trunk
tcltk/generic/interface/Driver.c:600 (AscCheckEnvironVars): GUESSING ASCENDDIST = /home/john/src/ascend/share/ascend
tcltk/generic/interface/Driver.c:601 (AscCheckEnvironVars): VAR: ASCENDDIST
base/generic/general/ospath.c:479: (ospath_strcat) remaining=4085
base/generic/general/ospath.c:486: (ospath_strcat) fp={"/home/john/src/ascend/share/ascend"}
tcltk/generic/interface/Driver.c:601 (AscCheckEnvironVars): ENVCMD: ASCENDDIST=/home/john/src/ascend/share/ascend
tcltk/generic/interface/Driver.c:603 (AscCheckEnvironVars): RETRIEVED ASCENDDIST = /home/john/src/ascend/share/ascend
tcltk/generic/interface/Driver.c:518 (printenv): VARS = 1
tcltk/generic/interface/Driver.c:608 (AscCheckEnvironVars): USING DEFAULT ASCENDTK = $ASCENDDIST/tcltk
base/generic/general/ospath.c:362: (ospath_cleanup) fp={"/"}
base/generic/general/ospath.c:363: (ospath_cleanup) path=/home/john/src/ascend/share/ascend/tcltk
tcltk/generic/interface/Driver.c:614 (AscCheckEnvironVars): TK = /home/john/src/ascend/share/ascend/tcltk
tcltk/generic/interface/Driver.c:616 (AscCheckEnvironVars): VAR: ASCENDTK
base/generic/general/ospath.c:479: (ospath_strcat) remaining=4087
base/generic/general/ospath.c:486: (ospath_strcat) fp={"/home/john/src/ascend/share/ascend/tcltk"}
tcltk/generic/interface/Driver.c:616 (AscCheckEnvironVars): ENVCMD: ASCENDTK=/home/john/src/ascend/share/ascend/tcltk
tcltk/generic/interface/Driver.c:624 (AscCheckEnvironVars): NO ASCENDBITMAPS VAR DEFINED
base/generic/general/ospath.c:362: (ospath_cleanup) fp={"/"}
base/generic/general/ospath.c:363: (ospath_cleanup) path=/home/john/src/ascend/share/ascend/tcltk/bitmaps
tcltk/generic/interface/Driver.c:627 (AscCheckEnvironVars): VAR: ASCENDBITMAPS
base/generic/general/ospath.c:479: (ospath_strcat) remaining=4082
base/generic/general/ospath.c:486: (ospath_strcat) fp={"/home/john/src/ascend/share/ascend/tcltk/bitmaps"}
tcltk/generic/interface/Driver.c:627 (AscCheckEnvironVars): ENVCMD: ASCENDBITMAPS=/home/john/src/ascend/share/ascend/tcltk/bitmaps
tcltk/generic/interface/Driver.c:638 (AscCheckEnvironVars): NO ASCENDLIBRARY VAR DEFINED
base/generic/general/ospath.c:362: (ospath_cleanup) fp={"/"}
base/generic/general/ospath.c:363: (ospath_cleanup) path=/home/john/src/ascend/share/ascend/models
tcltk/generic/interface/Driver.c:640 (AscCheckEnvironVars): CREATED LIBRARY VAL
tcltk/generic/interface/Driver.c:641 (AscCheckEnvironVars): VAR: ASCENDLIBRARY
base/generic/general/ospath.c:479: (ospath_strcat) remaining=4082
base/generic/general/ospath.c:486: (ospath_strcat) fp={"/home/john/src/ascend/share/ascend/models"}
tcltk/generic/interface/Driver.c:641 (AscCheckEnvironVars): ENVCMD: ASCENDLIBRARY=/home/john/src/ascend/share/ascend/models
tcltk/generic/interface/Driver.c:646 (AscCheckEnvironVars): CHECKING FOR AscendRC FILE
base/generic/general/ospath.c:362: (ospath_cleanup) fp={""}
base/generic/general/ospath.c:363: (ospath_cleanup) path=AscendRC
base/generic/general/ospath.c:952: (ospath_concat) r={"/home/john/src/ascend/share/ascend/tcltk/AscendRC"}
PROGRAM FATAL ERROR: function 'AscCheckEnvironVars':Cannot located AscendRC file in expected (guessed) location:
/home/john/src/ascend/share/ascend/tcltk
Please set the ASCENDTK environment variable to the correct location (typically
it would be c:\Program Files\ASCEND\TK or /usr/share/ascend/tcltk/TK. You
should do this, then start ASCEND again.

[john@jdpipe trunk]$
[john@jdpipe trunk]$ ls
TagsNo tags attached.

Relationships

Activities

john

2006-05-17 00:52

administrator   ~0000339

Reminder sent to: art

Hi Art

I think this is the bug you mentioned about the Tcl/Tk version not working via the RPM. I found a bug which I have just fixed. Please reopen if it's still not working for you.

JP

john

2006-05-17 00:53

administrator   ~0000340

Fixed in changeset 679.

Issue History

Date Modified Username Field Change
2006-05-17 00:13 john New Issue
2006-05-17 00:13 john Target release => 0.9.6
2006-05-17 00:51 john Status new => assigned
2006-05-17 00:51 john Assigned To => john
2006-05-17 00:52 john Note Added: 0000339
2006-05-17 00:52 john Status assigned => resolved
2006-05-17 00:52 john Resolution open => fixed
2006-05-17 00:53 john Note Added: 0000340
2006-06-22 07:36 john Status resolved => feedback
2006-06-22 07:47 john Status feedback => resolved
2006-06-22 07:47 john Fixed in Version => 0.9.6
2008-02-10 13:03 john Status resolved => closed